Package org.silverpeas.mobile.server.common

## Class LocalDiskFileItem

- java.lang.Object
- - org.apache.commons.fileupload.disk.DiskFileItem
  - - org.silverpeas.mobile.server.common.LocalDiskFileItem

- All Implemented Interfaces:
    `org.apache.commons.fileupload.FileItem`, `org.apache.commons.fileupload.FileItemHeadersSupport`

      public class LocalDiskFileItem
      extends org.apache.commons.fileupload.disk.DiskFileItem

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.fileupload.disk.DiskFileItem

      `DEFAULT_CHARSET`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalDiskFileItem​(File file, String contentType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `get()` |
    `String` | `getFieldName()` |
    `InputStream` | `getInputStream()` |
    `OutputStream` | `getOutputStream()` |
    `long` | `getSize()` |
    `boolean` | `isInMemory()` |

    - ### Methods inherited from class org.apache.commons.fileupload.disk.DiskFileItem

      `delete, finalize, getCharSet, getContentType, getDefaultCharset, getHeaders, getName, getStoreLocation, getString, getString, getTempFile, isFormField, setDefaultCharset, setFieldName, setFormField, setHeaders, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalDiskFileItem

          public LocalDiskFileItem​(File file,
                                   String contentType)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `getInputStream` in class `org.apache.commons.fileupload.disk.DiskFileItem`
      Throws:
        `IOException`

    - #### isInMemory

          public boolean isInMemory()

      Specified by:
        `isInMemory` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `isInMemory` in class `org.apache.commons.fileupload.disk.DiskFileItem`

    - #### getSize

          public long getSize()

      Specified by:
        `getSize` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `getSize` in class `org.apache.commons.fileupload.disk.DiskFileItem`

    - #### get

          public byte[] get()

      Specified by:
        `get` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `get` in class `org.apache.commons.fileupload.disk.DiskFileItem`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `getFieldName` in class `org.apache.commons.fileupload.disk.DiskFileItem`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `org.apache.commons.fileupload.FileItem`
      Overrides:
        `getOutputStream` in class `org.apache.commons.fileupload.disk.DiskFileItem`
      Throws:
        `IOException`